Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt.event
Class ScrollEvent

    java.lang.Object
      java.util.EventObject
          charva.awt.event.AWTEvent
              charva.awt.event.ScrollEvent

All Implemented Interfaces:
  java.io.Serializable

public class ScrollEvent
extends AWTEvent

A ScrollEvent is posted on the event queue by a scrollable object such as a Table, when its state changes in such a way that it may need to be scrolled (if it is contained within a ScrollPane).

See Also:
  Serialized Form

Field Summary
`static int` | `DOWN`
`static int` | `DOWN_LEFT`
`static int` | `DOWN_RIGHT`
`static int` | `LEFT`
`static int` | `RIGHT`
`static int` | `UP`
`static int` | `UP_LEFT`
`static int` | `UP_RIGHT`

Fields inherited from class charva.awt.event.AWTEvent
`ACTION_PERFORMED, ADJUSTMENT_EVENT, FOCUS_GAINED, FOCUS_LOST, GARBAGE_COLLECTION, INVOCATION_EVENT, ITEM_STATE_CHANGED, KEY_PRESSED, KEY_TYPED, LIST_SELECTION, MOUSE_EVENT, PAINT_EVENT, RESERVED_ID_MAX, SCROLL_EVENT, SYNC_EVENT, WINDOW_CLOSING, WINDOW_OPENED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ScrollEvent(Component source_, int direction_, Point limit_)` Construct a ScrollEvent with the specified direction and limit parameters.

Method Summary
`int` | `getDirection()`
`Point` | `getLimit()`
`Scrollable` | `getScrollable()`

Methods inherited from class charva.awt.event.AWTEvent
`getID`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### UP

    public static final int UP

See Also:
  Constant Field Values

### DOWN

    public static final int DOWN

See Also:
  Constant Field Values

### UP_LEFT

    public static final int UP_LEFT

See Also:
  Constant Field Values

### UP_RIGHT

    public static final int UP_RIGHT

See Also:
  Constant Field Values

### DOWN_LEFT

    public static final int DOWN_LEFT

See Also:
  Constant Field Values

### DOWN_RIGHT

    public static final int DOWN_RIGHT

See Also:
  Constant Field Values

Constructor Detail

### ScrollEvent

    public ScrollEvent(Component source_,
                       int direction_,
                       Point limit_)

  Construct a ScrollEvent with the specified direction and limit parameters.

Parameters:
  `direction_` - The direction that the ScrollPane must (potentially) scroll the scrollable component (eg LEFT, RIGHT, UP or DOWN).
  `limit_` - A Point representing the row and column that must appear at the edge of the Viewport if the component is scrolled. For examplem, if direction_ is LEFT, the limit_ is the rightmost column that must appear in the viewport.

Method Detail

### getScrollable

    public Scrollable getScrollable()

### getDirection

    public int getDirection()

### getLimit

    public Point getLimit()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD